Package ghidra.app.util.bin.format.macos.cfm

# Enum Class CFragLocatorKind

java.lang.Object
java.lang.Enum<CFragLocatorKind>
ghidra.app.util.bin.format.macos.cfm.CFragLocatorKind

All Implemented Interfaces:
  `Serializable`, `Comparable<CFragLocatorKind>`, `Constable`

public enum CFragLocatorKind extends Enum<CFragLocatorKind>
Values for type CFragLocatorKind.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `kCFBundleCFragLocator`
  Container is in the executable of a CFBundle.
  `kCFBundlePreCFragLocator`
  Passed to init routines in lieu of kCFBundleCFragLocator.
  `kDataForkCFragLocator`
  Container is in a file's data fork.
  `kMemoryCFragLocator`
  Container is in memory.
  `kNamedFragmentCFragLocator`
  Reserved for possible future use.
  `kResourceCFragLocator`
  Container is in a file's resource fork.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CFragLocatorKind`
  `get(BinaryReader reader)`
  `static CFragLocatorKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CFragLocatorKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### kMemoryCFragLocator

    public static final CFragLocatorKind kMemoryCFragLocator
    Container is in memory.

  - ### kDataForkCFragLocator

    public static final CFragLocatorKind kDataForkCFragLocator
    Container is in a file's data fork.

  - ### kResourceCFragLocator

    public static final CFragLocatorKind kResourceCFragLocator
    Container is in a file's resource fork.

  - ### kNamedFragmentCFragLocator

    public static final CFragLocatorKind kNamedFragmentCFragLocator
    Reserved for possible future use.

  - ### kCFBundleCFragLocator

    public static final CFragLocatorKind kCFBundleCFragLocator
    Container is in the executable of a CFBundle.

  - ### kCFBundlePreCFragLocator

    public static final CFragLocatorKind kCFBundlePreCFragLocator
    Passed to init routines in lieu of kCFBundleCFragLocator.

- ## Method Details

  - ### values

    public static CFragLocatorKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CFragLocatorKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get

    public static CFragLocatorKind get(BinaryReader reader) throws IOException
    Throws:
      `IOException`